@import url("https://fonts.googleapis.com/css2?family=Playfair+Display&family=Poppins&display=swap");

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: #fff;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

li {
  list-style: none;
}

.toolbar {
  display: flex;
  justify-content: space-between;
  background-repeat: no-repeat;
  background-position: 0% 0%;
  background-size: contain;
}

#logoimage {
  width: 111px;
  height: 74px;
}

.ham {
  position: relative;
  width: 3rem;
  height: 2rem;
  top: 1rem;
  right: 1rem;
  margin-left: 0.5rem;
  background: none;
  border: none;
  cursor: pointer;
  color: rgb(26, 23, 23);
}

.menuX {
  position: absolute;
  top: 1rem;
  right: 2rem;
  width: 2rem;
  height: 2rem;
  margin-left: 0.5rem;
  background: none;
  border: none;
  cursor: pointer;
  color: rgb(14, 1, 1);
}

.sideNav {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  z-index: 101;
  background: #fff;
  width: 300px;
  height: 80vh;
  overflow: hidden;
  color: rgb(20, 3, 3);

  /* hide the menu above the screen by default */
  transform: translateX(-100%);
  transition: transform 0.2s ease;
  background-image: url("assert/image_geometry_menu_1.svg");
  background-repeat: no-repeat;
}

.showNav {
  transform: translateX(0);
}

.sideNav ul {
  width: 100%;
  height: 91%;
  list-style: none;
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  padding-top: 4rem;
  gap: 30px;
  background-image: url("assert/image_geometry_menu_2.svg");
  background-repeat: no-repeat;
  background-position: 0% 100%;
}

.sideNav ul li a {
  display: block;
  color: rgb(31, 3, 3);
  padding-bottom: 10px;
  margin-top: rem;
  text-decoration: none;
  font-family: 'Open Sans', sans-serif;
  font-size: 1.2rem;
}

.sideNav ul li a:hover,
.sideNav ul li a:focus {
  border-bottom: 2px solid rgba(14, 1, 1, 0.755);
}

.overlay {
  position: fixed;
  display: none;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: transparent;
  width: 300px;
  height: 50vh;
}

.showOverlay {
  display: block;
}

.headline {
  display: flex;
  gap: 20px;
  flex-direction: column;
  padding: 30px 16px 32px 16px;
}

.name {
  font-family: "Playfair Display", serif;
  font-style: normal;
  font-size: 50px;
  line-height: 100%;
  font-weight: 400;
  color: #1a2236;
}

.bio {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-size: 14px;
  font-weight: 200;
  line-height: 21px;
  letter-spacing: -0.01em;
  color: #1a2236;
}

.profilelin {
  border: 1px solid #1a2236;
  padding: 12px 60px 11.53px 60px;
  background-color: #1a2236;
  margin-top: 20px;
  margin-left: 30px;
}

.toprofile {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: #fff;
}

.Geometry2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 320px;
  height: 160px;
  padding-bottom: 40px;
  margin: auto;
  background: url("images/image_geometry_2.svg") no-repeat;
}

#projects-container {
  display: grid;
  grid-template-rows: auto;
}

.project-h1 {
  font-family: "Playfair Display", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 50px;
  line-height: 100%;
  color: #1a2236;
  padding-left: 16px;
  padding-bottom: 32px;
}

.project-heading {
  display: none;
}

.project-container {
  display: flex;
  flex-direction: column;
  background: #1a2236;
}

.project-image {
  width: 100%;
  object-fit: contain;
}

.project-info {
  display: flex;
  flex-direction: column;
  background: #1a2236;
}

.project-info-name {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 20px;
  line-height: 80%;
  padding: 20px 36px 16px 20px;
  color: #fff;
}

.project-languages {
  display: flex;
  flex-direction: row;
  gap: 10px;
  margin-left: 20px;
  margin-bottom: 20px;
  list-style: none;
}

.project-languages > li {
  background: #98dede;
  padding: 6px 10px;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 10.3334px;
  line-height: 80%;
}

.button-with-arrow {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 12px;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #fff;
  background: #1a2236;
  border: 1px solid #fff;
  width: fit-content;
  padding: 10px;
  margin-left: 20px;
  margin-bottom: 20px;
}

.btn:hover {
  background: #fff;
  color: #1a2236;
  border: 1px solid #1a2236;
}

.btn:focus {
  background: #fff;
  color: #1a2236;
  border: 1px solid #1a2236;
}

.button-with-arrow > img {
  padding-top: 3.95px;
  padding-right: 1.43px;
  padding-bottom: 4.7px;
  padding-left: 2px;
}

#about-container {
  display: flex;
  flex-direction: column;
}

.about-heading {
  font-family: "Playfair Display", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 50px;
  line-height: 100%;
  color: #1a2236;
  padding-top: 56px;
  padding-left: 16px;
}

.content {
  font-family: "Poppins", sans-serif;
  font-size: 14px;
  line-height: 21px;
  color: #1a2236;
  padding: 20px 16px 32px 16px;
}

.download-button {
  display: flex;
  flex-direction: row;
  align-content: space-around;
  gap: 15px;
  text-align: center;
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  line-height: 24px;
  color: #fff;
  padding-top: 13px;
  padding-bottom: 13px;
  padding-left: 75px;
  background: #1a2236;
  margin-left: 16px;
  margin-right: 16px;
}

.download-button > img {
  padding-right: 79px;
}

.blue {
  background-color: #1c528a;
}

.red {
  background-color: #e2505c;
}

.orange {
  background-color: #febf52;
}

.section-about {
  color: #fff;
  margin-top: 24px;
  margin-bottom: 34px;
}

.section-about .languages {
  padding: 50px;
  margin: 16px;
  position: relative;
  font-family: "Poppins", sans-serif;
  color: #fff;
}

.section-about h1 {
  font-size: 20px;
  font-weight: 800;
  line-height: 30px;
}

.section-about .container-list {
  list-style: none;
  margin: 20px 0 0 0;
  display: flex;
  flex-direction: column;
  gap: 0.1rem;
  font-size: 18px;
  line-height: 27px;
  letter-spacing: -0.0525em;
}

.section-about .about-img {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100px;
  height: 100px;
}

.form-section {
  background: #f9f9fa;
  color: #1a2236;
}

.form-section1 {
  padding: 0 14px 0 18px;
}

.section {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.section-h {
  font-family: "Playfair Display", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 50px;
  line-height: 100%;
  color: #1a2236;
  margin-top: 30px;
  width: 249px;
  height: 50px;
  margin-bottom: 20px;
  display: flex;
  margin-left: 320px;
}

.section-p {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
  letter-spacing: -0.01em;
  margin-bottom: 32px;
  margin-left: 270px;
}

#contact-form-section {
  background: #f9f9fa;
  padding-left: 18px;
  padding-right: 14px;
}

.contact {
  display: flex;
  margin-top: 31.98px;
  margin-left: 18px;
  margin-bottom: 20px;
}

.form-paragraph {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-size: 14px;
  font-weight: 200;
  line-height: 21px;
  letter-spacing: -0.01em;
  color: #1a2236;
}

.desktop-lorem {
  display: none;
}

.form h1 {
  padding-bottom: 20px;
  padding-top: 28px;
}

.form-text {
  margin-left: 18px;
  margin-bottom: 31px;
}

form {
  display: flex;
  flex-direction: column;
  padding-top: 30px;
}

form button {
  width: 100%;
  align-self: center;
}

input {
  width: 288px;
  height: 52px;
  left: 16px;
  top: 4400px;
  background: #fff;
  border: 1px solid #dfdfe0;
  box-sizing: border-box;
  border-radius: 4px;
  margin-bottom: 8px;
  font-size: 10px;
  font-family: "Poppins", sans-serif;
  padding-left: 16px;
  padding-top: 4px;
  padding-bottom: 33px;
}

textarea {
  width: 288px;
  height: 112px;
  left: 16px;
  top: 4520px;
  background: #fff;
  border: 1px solid #dfdfe0;
  box-sizing: border-box;
  border-radius: 4px;
  font-size: 14px;
  font-family: "Poppins", sans-serif;
  padding-left: 16px;
  padding-top: 4px;
}

#button {
  margin-left: 18px;
  width: 288px;
}

#footer {
  margin-top: 64px;
  background: #1a2236;
}

.resume {
  display: flex;
  gap: 16px;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #92dcdc;
  padding-top: 32px;
  padding-left: 16px;
}

.social-links {
  display: flex;
  list-style-type: none;
  justify-content: space-around;
  margin-top: 30.5px;
  padding-bottom: 30.5px;
}

.header-nav {
  display: none;
}

.flex1 {
  display: none;
}

.p-container {
  display: none;
}

.section2 {
  display: none;
}

@media screen  and (min-width: 786px) {
  #logoimage {
    display: none;
  }

  .hamburger {
    display: none;
  }

  .ham {
    display: none;
  }

  .sideNav {
    display: none;
  }

  .menu-img {
    display: none;
  }

  .header-nav {
    display: flex;
    justify-content: center;
    list-style-type: none;
    padding-top: 40px;
    padding-bottom: 40px;
    width: 1193px;
    height: 14px;
    left: 0;
    top: 0;
    box-shadow: 0 0.5px 0 #dddfe6;
  }

  .header-nav > li > a {
    text-decoration: none;
    padding: 25px;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-size: 16px;
    color: #1a2236;
  }

  .project-h1 {
    display: none;
  }

  .project-info {
    display: none;
  }

  .headline {
    display: grid;
    grid-template-columns: min-content;
    padding: 41px 96px;
  }

  .name {
    width: 484px;
    height: 220px;
    font-family: 'Playfair Display', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 110px;
    line-height: 100%;
    color: #1a2236;
  }

  .bio {
    display: grid;
    grid-template-rows: min-content;
  }

  .profilelin2 {
    border: 1px solid #1a2236;
    padding: 12px 60px 11.53px 60px;
    background-color: #1a2236;
    margin-top: 20px;
  }

  .Geometry2 {
    display: none;
  }

  .geomentry {
    background-image: url(assert/image-geometry_1.png);
    background-size: cover;
    width: 100%;
    background-position: 10% 10%;
  }

  .divide {
    display: flex;
    background-size: contain;
  }

  .geomentry1 {
    background-image: url(assert/image_dots.png);
  }

  .project-heading {
    display: grid;
    grid-template-rows: 10px;
    margin-left: 74px;
  }

  .project-backgroung-img {
    background-image: url(assert/image_dots.png);
    background-repeat: no-repeat;
    background-position: 95% 0%;
    margin-top: 100px;
    width: 40%;
  }

  .p-container-flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .p-container {
    display: flex;
    margin-top: 90px;
    width: 60%;
    height: 465px;
  }

  .project-image {
    object-fit: contain;
  }

  .projects-info {
    background-image: url(assert/Rectangle21.png);
    padding-top: 22%;
    background-size: contain;
    background-position: top center;
  }

  .article {
    padding: 20px;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #1a2236;
    padding-bottom: 4.5%;
  }

  .project-info-name {
    font-weight: 700;
    font-size: 60px;
    line-height: 90%;
    width: 80%;
  }

  .project-languages {
    padding-top: 2%;
    height: 30px;
    font-weight: 300;
    font-size: 20px;
    text-align: center;
    width: 100%;
  }

  .button-with-arrow {
    width: 212px;
    height: 51px;
  }

  .section2 {
    padding-top: 80px;
    display: grid;
    grid-template-columns: 100px;
  }

  .sectioni {
    width: 503px;
    height: 270px;
  }

  .sectionii {
    width: 806px;
    height: 465px;
  }

  .sectioniii {
    margin-left: 100%;
  }

  .sectioniii-background {
    background-repeat: no-repeat;
    background-position: 0% 0%;
    background-image: url(assert/image-geometry_5.png);
  }

  /*
  .top-img {
    position: relative;
    width: 60%;
    height: 60%;
    background-size: 150px;
    background-repeat: no-repeat;
    background-image: url(assert/bottom-right.svg);
  } */

  .sectioniv-background {
    position: absolute;
    width: 40%;
    height: 60%;
    left: 59%;
    top: 280%;
    background-repeat: no-repeat;
    background-size: 400px;
    background-image: url(assert/image-geometry_3.svg);
  }

  /* .bottom-img {
    position: absolute;
    width: 60%;
    height: 70%;
    background-size: 150px;
    left: 0%;
    top: 472%;
    background-repeat: no-repeat;
    background-image: url(assert/top-left.svg);
  } */

  .undo {
    margin: 0;
    padding: 0;
  }

  .flex1 {
    display: flex;
    justify-content: space-between;
    background-image: url(assert/image-geometry_2.svg);
    background-repeat: no-repeat;
    background-size: 520px;
    background-position: 60% 9%;
  }

  .flex2 {
    display: flex;
    flex-direction: column;
    margin-top: 10%;
  }

  .p-container2 {
    width: 25%;
    margin-top: 8%;
    background-image: url(assert/Rectangle214.png);
    background-position: 10% -2%;
    background-repeat: no-repeat;
    padding-top: 2%;
  }

  .projects-info2 {
    background-image: url(assert/Rectangle215.png);
    background-repeat: no-repeat;
    padding-bottom: 60%;
    background-size: contain;
    background-position: bottom right;
  }

  .article2 {
    padding: 20px;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #1a2236;
    padding-top: 4.5%;
  }

  .project-info-name2 {
    font-weight: 700;
    font-size: 60px;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    line-height: 80%;
    padding: 20px 36px 16px 20px;
    color: #fff;
  }

  .project-languages2 {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 300;
    font-size: 20px;
    line-height: 80%;
    padding: 20px 36px 16px 20px;
    color: #fff;
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin-bottom: 20px;
    list-style: none;
  }

  .project-languages2 li {
    background: #98dede;
    padding: 6px 10px;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 300;
    font-size: 10.3334px;
    line-height: 80%;
  }

  .project-container {
    display: none;
  }

  .form-section {
    display: grid;
    justify-content: center;
    align-items: center;
  }

  .grid2 {
    display: grid;
    grid-template-columns: 300px;
    align-items: center;
    padding-left: 15%;
  }

  .container-list1 {
    flex-direction: column;
    justify-content: end;
    padding-left: 100px;
  }

  #about-container {
    display: flex;
    flex-direction: row-reverse;
    margin-left: 160px;
    gap: 1rem;
    margin-bottom: 158px;
  }

  .sub-about {
    margin-left: 96px;
  }

  .about-heading {
    font-weight: 400;
    font-size: 110px;
    color: #1a2236;
  }

  .section-about {
    display: grid;
    grid-template: auto auto/auto auto;
    background-image: url(assert/image_dots_with_teal.svg);
    background-repeat: no-repeat;
    background-position: bottom right;
  }

  .section-about .languages {
    padding: 0;
    margin: 0;
    position: relative;
    width: 289px;
    height: 289px;
    font-size: 18px;
    line-height: 27px;
  }

  .list1 {
    padding-top: 51px;
    padding-left: 50px;
  }

  .container-list {
    padding-top: 1px;
    padding-left: 50px;
  }

  input {
    display: flex;
    width: 100%;
    height: 52px;
    background: #fff;
    border: 1px solid #dfdfe0;
    box-sizing: border-box;
    border-radius: 4px;
    font-size: 20px;
    font-family: "Poppins", sans-serif;
  }

  .form-section1 {
    display: grid;
    justify-content: center;
  }

  .form-divider {
    display: flex;
    margin-right: 00;
  }

  .social-links2 {
    display: flex;
    justify-content: flex-end;
    gap: 25px;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 30px;
    margin-right: 160px;
    position: relative;
  }

  .last-img {
    margin-left: 1100px;
    background-image: url(assert/bottom-right.svg);
    background-size: contain;
    height: 250.84px;
    width: 250.75px;
    left: 800px;
    background-repeat: no-repeat;
  }

  #contact-form-section .form {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .form h1 {
    padding-bottom: 40px;
  }

  form {
    width: 545px;
  }

  form input,
  textarea {
    width: 100%;
  }

  form button {
    width: 254px;
    margin-bottom: 50px;
  }

  #contact-form-section div.form h1 {
    justify-content: center;
    font-family: "Playfair Display", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 110px;
    text-align: center;
    color: #1a2236;
  }

  #footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 150px 0 150px;
    margin: 0;
  }

  #footer .resume {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #92dcdc;
    padding-top: 0;
    padding-left: 0;
  }

  #footer div ul {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 2rem;
  }
}
